mkisofs(8) is now installed by sysutils/cdrtools.

This will be instantly MFC'ed.
This commit is contained in:
Marius Strobl 2004-06-02 22:21:15 +00:00
parent 16b4a34316
commit 156b04cce4
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/head/; revision=130016
5 changed files with 19 additions and 19 deletions

View file

@ -35,11 +35,11 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
cd /usr/ports/sysutils/mkisofs && make install && make clean
echo The cdrtools port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
cd /usr/ports/sysutils/cdrtools && make install && make clean
else
if ! pkg_add -r mkisofs; then
if ! pkg_add -r cdrtools; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2

View file

@ -38,11 +38,11 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
cd /usr/ports/sysutils/mkisofs && make install && make clean
echo The cdrtools port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
cd /usr/ports/sysutils/cdrtools && make install && make clean
else
if ! pkg_add -r mkisofs; then
if ! pkg_add -r cdrtools; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2

View file

@ -40,11 +40,11 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
cd /usr/ports/sysutils/mkisofs && make install && make clean
echo The cdrtools port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
cd /usr/ports/sysutils/cdrtools && make install && make clean
else
if ! pkg_add -r mkisofs; then
if ! pkg_add -r cdrtools; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2

View file

@ -32,7 +32,7 @@ hackery() {
exit 2
}
MKISOFS_PORT=/usr/ports/sysutils/mkisofs
MKISOFS_PORT=/usr/ports/sysutils/cdrtools
if [ "x$1" = "x-b" ]; then
bootable=yes
@ -53,8 +53,8 @@ BASE=$1; shift
if ! which mkisofs; then
echo 'mkisofs(8) does not exist. Fetching the package...'
if ! pkg_add -r mkisofs; then
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
if ! pkg_add -r cdrtools; then
if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
echo "Don't worry; building the port..."
if ! (cd $MKISOFS_PORT && make install && make clean); then
echo "Worry; reverting to hackery..."

View file

@ -50,11 +50,11 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
cd /usr/ports/sysutils/mkisofs && make install && make clean
echo The cdrtools port is not installed. Trying to get it now.
if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
cd /usr/ports/sysutils/cdrtools && make install && make clean
else
if ! pkg_add -r mkisofs; then
if ! pkg_add -r cdrtools; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2